#
# spec file for package noto-coloremoji-fonts
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           noto-coloremoji-fonts
Version:        20191119
Release:        1.9
Summary:        Noto Color Emoji font
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/googlefonts/noto-emoji
Source0:        https://github.com/googlefonts/noto-emoji/raw/v2019-11-19-unicode12/fonts/LICENSE
Source1:        https://github.com/googlefonts/noto-emoji/raw/v2019-11-19-unicode12/fonts/NotoColorEmoji.ttf
BuildRequires:  fontpackages-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       noto-emoji-fonts = %version
Obsoletes:      noto-emoji-fonts < %version

%description
Noto Color Emoji font

%prep
cp %{S:0} .

%build

%install
install -d %{buildroot}%{_ttfontsdir}
install -m 644 %{S:1} %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(0644,root,root,755)
%license LICENSE
%dir %{_ttfontsdir}
%{_ttfontsdir}/NotoColorEmoji.ttf

%changelog
* Wed Feb 26 2020 alarrosa@suse.com
- Update to Version 20191119 Unicode 12
  * Updated font file and artwork to Unicode 12
  * Added flags for:
    + BL: Saint Barthélemy
    + BQ: Caribbean Netherlands
    + MQ: Martinique
    + RE: Réunion
    + TF: French Southern Territories
  * Changed flags for:
    + XK: Kosovo
    + FR: France
    + NL: Netherlands
  * This release also fixes the people holding hands emoji to work for
    any combination of skin tone modifiers.
* Tue Apr 30 2019 i@guoyunhe.me
- Splited from google-noto-fonts project
- Removed black and white emoji font, which was deprecated
- Version 20180810 Unicode 11
